# Summary

- [Introduction](./README.md)
- [Exploration](./explore/README.md)
  - [Design](./explore/design/README.md)
    - [Overview](./explore/design/overview.md)
    - [The ledger](./explore/design/ledger.md)
      - [Parameters](./explore/design/ledger/parameters.md)
      - [Epochs](./explore/design/ledger/epochs.md)
      - [Accounts](./explore/design/ledger/accounts.md)
      - [Validity predicates](./explore/design/ledger/vp.md)
      - [Transactions](./explore/design/ledger/tx.md)
      - [WASM VM](./explore/design/ledger/wasm-vm.md)
      - [Front-running prevention](./explore/design/ledger/front-running.md)
      - [Fractal scaling](./explore/design/ledger/fractal-scaling.md)
      - [Upgrade system](./explore/design/upgrade-system.md)
      - [Storage](./explore/design/ledger/storage.md)
        - [Data schema](./explore/design/ledger/storage/data-schema.md)
      - [PoS integration](./explore/design/ledger/pos-integration.md)
    - [Crypto primitives](./explore/design/crypto-primitives.md)
    - [Actors](./explore/design/actors.md)
    - [Testnet setup](./explore/design/testnet-setup.md)
    - [Testnet launch procedure](./explore/design/testnet-launch-procedure/README.md)
  - [Libraries & Tools](./explore/libraries/README.md)
    - [Cryptography]()
    - [network](./explore/libraries/network.md)
    - [Command-line interface](./explore/libraries/cli.md)
    - [Database](./explore/libraries/db.md)
    - [Logging](./explore/libraries/logging.md)
    - [Networking]()
    - [Packaging](./explore/libraries/packaging.md)
    - [Serialization](./explore/libraries/serialization.md)
    - [WASM runtime](./explore/libraries/wasm.md)
    - [Error handling](./explore/libraries/errors.md)
  - [Glossary](./explore/design/glossary.md)
  - [Resources](./explore/resources/README.md)
    - [IDE](./explore/resources/ide.md)
- [Specifications](./specs/README.md)
  - [Overview](./specs/overview.md)
  - [The ledger](./specs/ledger.md)
    - [RPC](./specs/ledger/rpc.md)
    - [Default transactions](./specs/ledger/default-transactions.md)
    - [Default validity predicates](./specs/ledger/default-validity-predicates.md)
  - [Trade system]()
  - [Intent gossip system]()
  - [Fractal scaling]()
  - [Upgrade system]()
  - [Crypto](./specs/crypto.md)
  - [Encoding](./specs/encoding.md)
- [Archive](./archive/README.md)
  - [Domain name addresses](./archive/domain-name-addresses.md)
